Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tonbeller.wcf.controller
Class RequestContextFactoryImpl

    java.lang.Object
      com.tonbeller.wcf.controller.RequestContextFactoryImpl

All Implemented Interfaces:
  RequestContextFactory

public class RequestContextFactoryImpl
extends java.lang.Object
implements RequestContextFactory

Created on 05.11.2002

Author:
  av

Constructor Summary
`RequestContextFactoryImpl()`

Method Summary
`RequestContext` | `createContext(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` create a new context
`Converter` | `getConverter()`
`Formatter` | `getFormatter()`
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getRemoteDomain()`
`java.lang.String` | `getRemoteUser()`
`Resources` | `getResources()`
`protected void` | `initialize(javax.servlet.http.HttpServletRequest request)`
`void` | `setLocale(javax.servlet.http.HttpServletRequest request, java.util.Locale locale)` change the locale including the Locale for JSTL >fmt:message> tags
`void` | `setLocale(java.util.Locale locale)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestContextFactoryImpl

    public RequestContextFactoryImpl()

Method Detail

### createContext

    public RequestContext createContext(javax.servlet.http.HttpServletRequest request,
                                        javax.servlet.http.HttpServletResponse response)

  Description copied from interface: `RequestContextFactory`
  create a new context

  Specified by:
    `createContext` in interface `RequestContextFactory`

### initialize

    protected void initialize(javax.servlet.http.HttpServletRequest request)

### setLocale

    public void setLocale(java.util.Locale locale)

  Deprecated.

  change the locale

  Specified by:
    `setLocale` in interface `RequestContextFactory`
  Parameters:
    `locale` - the new locale or null to determine the locale from the next http request

### setLocale

    public void setLocale(javax.servlet.http.HttpServletRequest request,
                          java.util.Locale locale)

  change the locale including the Locale for JSTL >fmt:message> tags

  Specified by:
    `setLocale` in interface `RequestContextFactory`
  Parameters:
    `locale` - the new locale

### getConverter

    public Converter getConverter()

  Specified by:
    `getConverter` in interface `RequestContextFactory`

### getFormatter

    public Formatter getFormatter()

  Specified by:
    `getFormatter` in interface `RequestContextFactory`

### getLocale

    public java.util.Locale getLocale()

  Specified by:
    `getLocale` in interface `RequestContextFactory`

### getResources

    public Resources getResources()

  Specified by:
    `getResources` in interface `RequestContextFactory`

### getRemoteDomain

    public java.lang.String getRemoteDomain()

  Specified by:
    `getRemoteDomain` in interface `RequestContextFactory`

### getRemoteUser

    public java.lang.String getRemoteUser()

  Specified by:
    `getRemoteUser` in interface `RequestContextFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD